#include <allegro.h>

volatile int counter;
            

void my_timer_handler()
{
	counter++;
}  
END_OF_FUNCTION(my_timer_handler);



PALETTE pal;
BITMAP *obrazok;
int waiting_time;
int x, y;

int main()
{
	allegro_init();
	install_timer();
	install_keyboard();

	LOCK_VARIABLE(counter);
	LOCK_FUNCTION(my_timer_handler);

	install_int_ex(my_timer_handler,BPS_TO_TIMER(10));
	waiting_time = counter;

	x = y = 100;

	set_color_depth(16);
	set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0);

	clear_to_color(screen,65535);

	obrazok = load_tga("obrazok.tga", pal);

	do {
		if(key[KEY_LEFT]) 	{ x-= 5; }
		if(key[KEY_RIGHT])	{ x+= 5; }
		if(key[KEY_UP])		{ y-= 5; }
		if(key[KEY_DOWN])	{ y+= 5; }
		
		clear_to_color(screen,65535);
		draw_sprite(screen, obrazok, x, y);
		
		do {
		} while(waiting_time > counter);

		waiting_time = counter + 1;
		
	} while(!key[KEY_ESC]);

	remove_keyboard();
	remove_timer();
	allegro_exit();
	return 0;
}

END_OF_MAIN();

